﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="DragDropConfirm.aspx.cs" Inherits="DragDropConfirm" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title></title>
	<telerik:RadStyleSheetManager id="RadStyleSheetManager1" runat="server" />
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
            </Scripts>
        </telerik:RadScriptManager>
        <script type="text/javascript">
            //Put your JavaScript code here.
            var sourceNodesCollection = null;
            var destNode = null;
            var dropPosition = null;
            

            function ClientNodeDropping(sender, args) {
                destNode = args.get_destNode();
                sourceNodesCollection = args.get_sourceNodes();
                dropPosition = args.get_dropPosition();
                args.set_cancel(true);
                radconfirm('Are you sure?', confirmCallBackFn);
                
               
            }
            function confirmCallBackFn(arg) {
                if (arg) {
                    if (dropPosition == "below") {
                        for (var i = sourceNodesCollection.length - 1; i >= 0; i--) {
                            var sourceNode = sourceNodesCollection[i];
                            sourceNode.get_parent().get_nodes().remove(sourceNode);

                            insertAfter(destNode, sourceNode);
                        }
                    }
                    else {
                        for (var i = 0; i < sourceNodesCollection.length; i++) {
                            var sourceNode = sourceNodesCollection[i];
                            sourceNode.get_parent().get_nodes().remove(sourceNode);

                            if (dropPosition == "over")
                                destNode.get_nodes().add(sourceNode);
                            if (dropPosition == "above")
                                insertBefore(destNode, sourceNode);
                        }
                    }
                }
            }

            function insertBefore(destinationNode, sourceNode) {
                var destinationParent = destinationNode.get_parent();
                var index = destinationParent.get_nodes().indexOf(destinationNode);
                destinationParent.get_nodes().insert(index, sourceNode);
            }

            function insertAfter(destinationNode, sourceNode) {
                var destinationParent = destinationNode.get_parent();
                var index = destinationParent.get_nodes().indexOf(destinationNode);
                destinationParent.get_nodes().insert(index + 1, sourceNode);
            }
        </script>
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        </telerik:RadAjaxManager>
        <div>
            <telerik:RadTreeView ID="RadTreeView1" runat="server" OnClientNodeDropping="ClientNodeDropping" EnableDragAndDrop="true" EnableDragAndDropBetweenNodes="true" MultipleSelect="true">
                <Nodes>
                    <telerik:RadTreeNode Text="Node 1"></telerik:RadTreeNode>
                    <telerik:RadTreeNode Text="Node 2">
                        <Nodes>
                            <telerik:RadTreeNode Text="Node 1"></telerik:RadTreeNode>
                            <telerik:RadTreeNode Text="Node 2"></telerik:RadTreeNode>
                            <telerik:RadTreeNode Text="Node 3"></telerik:RadTreeNode>
                        </Nodes>
                    </telerik:RadTreeNode>
                    <telerik:RadTreeNode Text="Node 3"></telerik:RadTreeNode>
                </Nodes>

            </telerik:RadTreeView>
           <telerik:RadWindowManager ID="RadWindowManager1" runat="server">
          </telerik:RadWindowManager>
        </div>
    </form>
</body>
</html>
